// QueueInheritance.java
// Derived from class List.
package chapter35;

public class QueueInheritance extends List
{
   // no-argument constructor
   public QueueInheritance()
   {
      super( "queue" );
   } // end QueueInheritance no-argument constructor

   // add object to queue
   public void enqueue( Object object )
   {
      insertAtBack( object );
   } // end method enqueue

   // remove object from queue
   public Object dequeue()
   {
      return removeFromFront();
   } // end method dequeue
} // end class QueueInheritance

